.CssAccordion-content--collapsed {
    max-height: 0;
    padding: 0 16px;
}

.CssAccordion {
    padding: 4px 0 0;
    position: relative;

    input {
        display: block;
        box-sizing: border-box;
        width: 0;
        height: 0;
        min-width: 0;
        min-height: 0;
        padding: 0;
        position: absolute;
        top: calc(var(--header-total-height) * -1);
        left: 0;
        visibility: hidden;
    }

    input:checked {
        + label {
            &::after {
                transform: rotate(90deg);
            }
        }
    }

    .CssAccordion-content {
        overflow: hidden;
        background: #f5f5f5;
        transition: all 0.35s;
    }

    label {
        padding: 8px 16px;
        color: #141414;
        background: #f5f5f5;
        font-family: $font-work-sans;
        font-size: 14px;
        font-style: normal;
        font-weight: normal;
        line-height: 24px;
        cursor: pointer;

        &::after {
            position: absolute;
            //content: url('../../images/arrow_down.svg');

            //background-image: url('../../images/arrow_down.svg');
            top: 19px;
            left: auto;
        }
    }
}

.CssAccordion:not(.CssAccordion--default-open) {
    .CssAccordion-content {
        @extend .CssAccordion-content--collapsed;
    }
    input:checked {
        + label {
            &::after {
                transform: rotate(90deg);
            }
        }
        ~ .CssAccordion-content {
            max-height: unset;
            //padding: 1em;
            padding: 2px 16px 8px;
        }
    }
}

.CssAccordion--default-open {
    .CssAccordion-content {
        max-height: unset;
        //padding: 1em;
        padding: 2px 16px 8px;
    }

    label {
        &::after {
            transform: rotate(90deg);
        }
    }
    input:checked {
        + label {
            &::after {
                transform: rotate(0);
            }
        }
        ~ .CssAccordion-content {
            @extend .CssAccordion-content--collapsed;
        }
    }
}

html {
    scroll-behavior: smooth;
}

@media screen and (prefers-reduced-motion: reduce) {
    html {
        scroll-behavior: auto;
    }
}
